from sys import argv as args

try:
    factor = float(args[1])
except IndexError as e:
    print("Please supply a speed factor!")
    exit(1)
except ValueError as e:
    print("Not a valid factor: " + args[1])
    exit(1)

prefix = ""
if len(args) > 2:
    prefix = " ".join(args[2:])

inverse = 1 / factor
square = factor * factor

print(f"{prefix} ground_control_speed {10.0 * factor :.3f}")
print(f"{prefix} ground_control_accel {2.0 * square :.3f}")
print(f"{prefix} ground_friction {0.5 ** factor :.3f}")
print(f"{prefix} ground_jump_impulse {13.2 * factor :.3f}")
print(f"{prefix} air_jump_impulse {12.0 * factor :.3f}")
print(f"{prefix} air_control_speed {5.0 * factor :.3f}")
print(f"{prefix} air_control_accel {1.5 * square :.3f}")
print(f"{prefix} air_friction {0.95 ** factor :.3f}")
print(f"{prefix} hook_fire_speed {80.0 * factor :.3f}")
print(f"{prefix} hook_drag_accel {3.0 * square :.3f}")
print(f"{prefix} hook_drag_speed {15.0 * factor :.3f}")
print(f"{prefix} gravity {0.5 * square :.3f}")
print(f"{prefix} velramp_start {550 * factor :.3f}")
print(f"{prefix} velramp_range {2000 * factor :.3f}")
print(f"{prefix} gun_speed {2200.0 * factor :.3f}")
print(f"{prefix} gun_lifetime {2.0 * inverse :.3f}")
print(f"{prefix} shotgun_speed {2750.0 * factor :.3f}")
print(f"{prefix} grenade_speed {1000.0 * factor :.3f}")
print(f"{prefix} grenade_lifetime {2.0 * inverse :.3f}")
print(f"{prefix} laser_bounce_delay {150 * inverse :.3f}")
print(f"{prefix} jetpack_strength {400.0 * square :.3f}")
print(f"{prefix} shotgun_strength {10.0 * factor :.3f}")
print(f"{prefix} explosion_strength {6.0 * factor :.3f}")
print(f"{prefix} hammer_strength {1.0 * factor :.3f}")
print(f"{prefix} hook_duration {1.25 * inverse :.3f}")
print(f"{prefix} hammer_fire_delay {125 * inverse :.3f}")
print(f"{prefix} gun_fire_delay {125 * inverse :.3f}")
print(f"{prefix} shotgun_fire_delay {500 * inverse :.3f}")
print(f"{prefix} grenade_fire_delay {500 * inverse :.3f}")
print(f"{prefix} laser_fire_delay {800 * inverse :.3f}")
print(f"{prefix} ninja_fire_delay {800 * inverse :.3f}")
print(f"{prefix} hammer_hit_fire_delay {320 * inverse :.3f}")
